# Uses of Class
java.awt.MenuShortcut

Packages that use MenuShortcut
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of MenuShortcut in java.awt

Methods in java.awt that return MenuShortcut
Modifier and Type
Method
Description
`MenuShortcut`
MenuItem.`getShortcut()`
Get the `MenuShortcut` object associated with this menu item,
Methods in java.awt that return types with arguments of type MenuShortcut
Modifier and Type
Method
Description
`Enumeration<MenuShortcut>`
MenuBar.`shortcuts()`
Gets an enumeration of all menu shortcuts this menu bar is managing.
Methods in java.awt with parameters of type MenuShortcut
Modifier and Type
Method
Description
`void`
MenuBar.`deleteShortcut(MenuShortcut s)`
Deletes the specified menu shortcut.
`boolean`
MenuShortcut.`equals(MenuShortcut s)`
Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.
`MenuItem`
MenuBar.`getShortcutMenuItem(MenuShortcut s)`
Gets the instance of `MenuItem` associated with the specified `MenuShortcut` object, or `null` if none of the menu items being managed by this menu bar is associated with the specified menu shortcut.
`void`
MenuItem.`setShortcut(MenuShortcut s)`
Set the `MenuShortcut` object associated with this menu item.
Constructors in java.awt with parameters of type MenuShortcut
Modifier
Constructor
Description
``
`MenuItem(String label, MenuShortcut s)`
Create a menu item with an associated keyboard shortcut.